<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.guosen.production.mapper.ProductionMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="productionResultMap" type="org.springblade.modules.guosen.production.entity.Production">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="user_id" property="userId"/>
        <result column="activity_id" property="activityId"/>
        <result column="person_name" property="personName"/>
        <result column="title" property="title"/>
        <result column="introduce" property="introduce"/>
        <result column="person_type" property="personType"/>
        <result column="urls" property="urls"/>
        <result column="hot_value" property="hotValue"/>
        <result column="cover" property="cover"/>
    </resultMap>


    <select id="selectProductionPage" resultMap="productionResultMap">
        select * from cyzh_production where is_deleted = 0
    </select>

</mapper>
